package org.jeecg.ctop.finance.settlement.service;

import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.entity.SysUser;
import org.jeecg.common.system.vo.LoginUser;
import org.jeecg.ctop.finance.policy.entity.CwjsPolicyInfo;
import org.jeecg.ctop.finance.settlement.entity.vo.SettlementFileParamsVo;
import org.jeecg.ctop.finance.settlement.entity.vo.SettlementReportBytedanceVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface IReportSettlementService {

    List<SettlementReportBytedanceVo> getAccountTransactionDayBytedance();

    Result settlementReportBytedance(SettlementFileParamsVo paramsVo, HttpServletResponse response, SysUser user);

    Result settlementReportKuaiShou(SettlementFileParamsVo paramsVo, HttpServletResponse response, SysUser user);

    Result porfitReportBytedance(SettlementFileParamsVo paramsVo,HttpServletResponse response);

    Result porfitReportKuaiShou(SettlementFileParamsVo paramsVo,HttpServletResponse response);

    Result sendMessageToOperate();

    Result sendMessageToOperateDemo(String userId);

    void cwjsPRofit(CwjsPolicyInfo cwjsPolicyInfo);

    List<String> getAccountId(SettlementFileParamsVo paramsVo,SysUser user);



    Result importPolicyInit(MultipartFile file);

}
